using System;

namespace Server.Items
{
	public class Flute : BaseInstrument
	{
		[Constructable]
		public Flute() : base( 0x134E, 0x504, 0x503 )
		{
			Name = "flute";
			Weight = 2.0;
			ItemID = Utility.RandomList( 0x134E, 0x136F );
		}

		public Flute( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}